Loading...
Searching...
No Matches
casacore::FitsParse Class Reference
fits package (libcasa_fits) » FITS_module

parse a header card More...

`#include <fits.h>`

## Public Member Functions

FitsKeyword & | parse (const char *, int)
int | no_errs () const
const char * | err (int) const

## Private Member Functions

| FitsParse (int=10)
| ~FitsParse ()
int | seterr (const char *)
FitsKeyword & | mkerr (const char *s, int len)

## Private Attributes

int | no_errs_
const int | max_errs
const char ** | err_

## Friends

class | FitsKeywordList

## Detailed Description

parse a header card

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

parse a header card

Definition at line 485 of file fits.h.

## Constructor & Destructor Documentation

## FitsParse()

casacore::FitsParse::FitsParse | ( | int | = 10 | ) |

private

## ~FitsParse()

casacore::FitsParse::~FitsParse | ( |  | ) |

inline private

Definition at line 501 of file fits.h.

References err_.

## Member Function Documentation

## err()

const char * casacore::FitsParse::err | ( | int | i | ) | const

inline

Definition at line 503 of file fits.h.

References err_.

## mkerr()

FitsKeyword & casacore::FitsParse::mkerr | ( | const char * | s,
|  | int | len )

private

## no_errs()

int casacore::FitsParse::no_errs | ( |  | ) | const

inline

Definition at line 502 of file fits.h.

References no_errs_.

## parse()

FitsKeyword & casacore::FitsParse::parse | ( | const char * | ,
|  | int | )

## seterr()

int casacore::FitsParse::seterr | ( | const char * | s | ) |

inline private

Definition at line 504 of file fits.h.

References err_, max_errs, and no_errs_.

## Friends And Related Symbol Documentation

## FitsKeywordList

friend class FitsKeywordList

friend

Definition at line 486 of file fits.h.

References FitsKeywordList.

Referenced by FitsKeywordList.

## Member Data Documentation

## err_

const char** casacore::FitsParse::err_

private

Definition at line 496 of file fits.h.

Referenced by err(), seterr(), and ~FitsParse().

## max_errs

const int casacore::FitsParse::max_errs

private

Definition at line 495 of file fits.h.

Referenced by seterr().

## no_errs_

int casacore::FitsParse::no_errs_

private

Definition at line 494 of file fits.h.

Referenced by no_errs(), and seterr().

The documentation for this class was generated from the following file:

- fits/FITS/fits.h